%define upstream_name    Chess-Play
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Play chess games, calculate legal moves, use a search algorithm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Chess/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module allows to play a chess game using STDIN or the xboard graphical
interface. Il also can calculate legal moves and uses the Alpha-Beta search
algorithm to find the best move.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 509963
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 364183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 03 2011 kharec <kharec> 0.50.0-1.mga2
+ Revision: 175652
- imported package perl-Chess-Play


* Sat Dec 03 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
